## GtkVSeparator GtkVSeparator — A vertical separator |

## Functions

GtkWidget * | gtk_vseparator_new ()

## Types and Values

struct | GtkVSeparator

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkSeparator
                    ╰── GtkVSeparator

## Implemented Interfaces

GtkVSeparator implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkVSeparator widget is a vertical separator, used to group the widgets within a window. It displays a vertical line with a shadow to make it appear sunken into the interface.

GtkVSeparator has been deprecated, use GtkSeparator instead.

## Functions

### gtk_vseparator_new ()

    GtkWidget *
    gtk_vseparator_new (void);

`gtk_vseparator_new` has been deprecated since version 3.2 and should not be used in newly-written code.

Use `gtk_separator_new()` with `GTK_ORIENTATION_VERTICAL` instead

Creates a new GtkVSeparator.

#### Returns

a new GtkVSeparator.

## Types and Values

### struct GtkVSeparator

    struct GtkVSeparator;

The GtkVSeparator struct contains private data only, and should be accessed using the functions below.

## See Also

GtkHSeparator